# Uses of Interface
org.opensaml.saml.saml2.core.Evidence

Packages that use Evidence
Package
Description
org.opensaml.saml.saml2.core
Interfaces for SAML 2.0 core and protocol interfaces.
org.opensaml.saml.saml2.core.impl
Implementations of SAML 2.0 core specification types and elements.

## Uses of Evidence in org.opensaml.saml.saml2.core

Methods in org.opensaml.saml.saml2.core that return Evidence
Modifier and Type
Method
Description
`Evidence`
AuthzDecisionQuery.`getEvidence()`
Gets the Evidence of this query.
`Evidence`
AuthzDecisionStatement.`getEvidence()`
Get the SAML assertion the authority relied on when making the authorization decision.
Methods in org.opensaml.saml.saml2.core with parameters of type Evidence
Modifier and Type
Method
Description
`void`
AuthzDecisionQuery.`setEvidence(Evidence newEvidence)`
Sets the Evidence of this query.
`void`
AuthzDecisionStatement.`setEvidence(Evidence newEvidence)`
Sets the SAML assertion the authority relied on when making the authorization decision.

## Uses of Evidence in org.opensaml.saml.saml2.core.impl

Classes in org.opensaml.saml.saml2.core.impl that implement Evidence
Modifier and Type
Class
Description
`class`
`EvidenceImpl`
A concrete implementation of `Evidence`.
Fields in org.opensaml.saml.saml2.core.impl declared as Evidence
Modifier and Type
Field
Description
`private Evidence`
AuthzDecisionQueryImpl.`evidence`
Evidence child element.
`private Evidence`
AuthzDecisionStatementImpl.`evidence`
SAML assertion the authority relied on when making the authorization decision.
Methods in org.opensaml.saml.saml2.core.impl that return Evidence
Modifier and Type
Method
Description
`Evidence`
EvidenceBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`Evidence`
EvidenceBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`Evidence`
AuthzDecisionQueryImpl.`getEvidence()`
Gets the Evidence of this query.
`Evidence`
AuthzDecisionStatementImpl.`getEvidence()`
Get the SAML assertion the authority relied on when making the authorization decision.
Methods in org.opensaml.saml.saml2.core.impl with parameters of type Evidence
Modifier and Type
Method
Description
`void`
AuthzDecisionQueryImpl.`setEvidence(Evidence newEvidence)`
Sets the Evidence of this query.
`void`
AuthzDecisionStatementImpl.`setEvidence(Evidence newEvidence)`
Sets the SAML assertion the authority relied on when making the authorization decision.